#ifndef HEADER_F19BEED76B43943B
#define HEADER_F19BEED76B43943B

/***************************************************************
 * Name:      wx002Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-04-10
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef WX002MAIN_H
#define WX002MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/imagpng.h>

#include "wx002App.h"


#include <wx/button.h>
#include <wx/statline.h>
class wx002Dialog: public wxDialog
{
    public:
        wx002Dialog(wxDialog *dlg, const wxString& title);
        ~wx002Dialog();

    protected:
        enum
        {
            idBtnQuit = 1000,
            idBtnAbout
        };
        wxStaticText* m_staticText1;
        wxButton* BtnAbout;
        wxStaticLine* m_staticline1;
        wxButton* BtnQuit;

    private:
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};

#endif // WX002MAIN_H
#endif // header guard 

